-- 
-- Modification de la structure de la table `spip_rubriques`
-- 

ALTER TABLE `spip`.`spip_rubriques` ADD `prive` smallint(1) default '0';

-- Ajouter dans ecrire/inc_serial_base.php3
-- cet ajout est facultatif,
-- il permet d'utiliser le nouveau critere "prive" dans les boucles des squelettes
-- $spip_rubriques = array(
--  // fin des champs dclars
--  "prive" => "smallint(1) NULL"
-- );        


DROP TABLE IF EXISTS`jpk_groupes_acces`;
DROP TABLE IF EXISTS`jpk_groupes`;
DROP TABLE IF EXISTS`jpk_auteurs_groupes`;
DROP TABLE IF EXISTS`jpk_groupes_auteurs`;
-- 
-- Structure de la table `jpk_groupes_auteurs`
-- 

CREATE TABLE `jpk_groupes_auteurs` (
  `id_groupe` bigint(21) NOT NULL default '0',
  `id_auteur` bigint(21) NOT NULL default '0',
  `dde_acces` smallint(1) NOT NULL default '1',
  UNIQUE KEY `id_groupe` (`id_groupe`,`id_auteur`)
);

-- --------------------------------------------------------

-- 
-- Structure de la table `jpk_groupes`
-- 

CREATE TABLE `jpk_groupes` (
  `id_groupe` bigint(20) NOT NULL auto_increment,
  `nom` varchar(30) NOT NULL default '',
  `description` varchar(250) default NULL,
  `actif` smallint(1) NOT NULL default '0',
  PRIMARY KEY  (`id_groupe`),
  UNIQUE KEY `nom` (`nom`)
);

-- --------------------------------------------------------

-- 
-- Structure de la table `jpk_groupes_acces`
-- 
-- Les champs article, dtdb, dtfn ne sont pas encore utiliss
--
CREATE TABLE `jpk_groupes_acces` (
  `id_groupe` bigint(21) NOT NULL default '0',
  `id_rubrique` bigint(21) NOT NULL default '0',
  `id_article` bigint(21) default NULL,
  `dtdb` date default NULL,
  `dtfn` date default NULL,
  KEY `id_groupe` (`id_groupe`),
  KEY `id_rubrique` (`id_rubrique`),
  KEY `id_article` (`id_article`)
);


