<?php
/*
  Gestion des acces auw rubriques et articles par groupes d'utilisateurs
  Contrib de Coyote, alias JPK ou Jean-Pierre KUNTZ
  V0.1 - 16 juillet 2005
       version initiale avec gestion multilingue
  v0.2 - 02 aot 2005
       maj pour compatibilit avec MySQL 3.23
       la table jpk_auteurs_groupes devient jpk_groupes_auteurs
       correction affichage des titres de rubriques typo()
  v0.3 - 05 aot 2005
       ajout d'un bouton pour suppression d'un groupe
       transforme tous les mysql_query() en spip_query()
       Correction du test daccs, utilisation du login au lieu de lid_auteur
*/
$msg_text = '';
// DETECTION DE L'EXTENSION (.php3 OU .php)
    $ext = "php";
    if (substr($_SERVER['PHP_SELF'],-1) == 3)  $ext = "php3";
    include ("inc.$ext"); 
//
// Les fonctions...
//
// DEB RECUP rubriques_edit.php3
// modif de la fonction trouve dans rubrique_edit.php3
// affichage des rubriques prives en rouge.
function enfant($leparent){
    global $id_parent;
    global $id_rubrique;
    global $connect_toutes_rubriques;
    global $i;
    global $couleur_claire, $spip_lang_left;
    global $browser_name, $browser_version;

    $i++;
    $query="SELECT * FROM spip_rubriques WHERE id_parent='$leparent' ORDER BY 0+titre,titre";
    $result=spip_query($query);

    while($row=spip_fetch_array($result)){
        $my_rubrique=$row['id_rubrique'];
        $titre=typo($row['titre']);
        $statut_rubrique = $row['statut'];
        $lang_rub = $row['lang'];
        $langue_choisie_rub = $row['langue_choisie'];
        $style = "";
        $espace = "";
        $prive = $row['prive'];

        if ($my_rubrique != $id_rubrique){

            if (eregi("mozilla", $browser_name)) {
                //$style .= "padding-$spip_lang_left: 16px; ";
                $style .= "margin-$spip_lang_left: ".($i*16)."px;";
            } else {
                for ($count = 0; $count <= $i; $count ++) $espace .= "&nbsp;&nbsp;&nbsp;&nbsp;";
            }

            if ($i > 3) $style .= "color: #666666;";
            if ($i > 4) $style .= "font-style: italic;";
            if ($i < 3) $style .= "font-weight:bold; ";
            if ($i==1) {
                $style .= "background-image: url(" . _DIR_IMG_PACK . 'secteur-12.gif);';
                $style .= "background-color: $couleur_claire;";
                $style .= "font-weight: bold;";
            }
            else if ($i==2) {
                $style .= "border-bottom: 1px solid $couleur_claire;";
                $style .= "font-weight: bold;";
            }
            else {
            }
 // affiche en rouge les rubriques prives
 if ($prive==1){
 $style .= "color:red;";
 }
            if ($statut_rubrique!='publie') $titre = "($titre)";
            if (lire_meta('multi_rubriques') == 'oui' AND $langue_choisie_rub == "oui") $titre = $titre." [".traduire_nom_langue($lang_rub)."]";

            $selec_rub = "selec_rub";
            if ($browser_name == "MSIE" AND floor($browser_version) == "5") $selec_rub = ""; // Bug de MSIE MacOs 9.0

            if (acces_rubrique($my_rubrique)) {
                echo "<option".mySel($my_rubrique,$id_parent)." class='$selec_rub' style=\"$style\">$espace".supprimer_tags($titre)."\n";
            }
            enfant($my_rubrique);
        }

    }
    $i=$i-1;
}
// FIN RECUP rubriques_edit.php3


function debug(){
 if(mysql_errno() > 0){
   echo mysql_errno().": ".mysql_error();
 }
}

function rub_reinit(){
// libre les rubriques qui n'ont plus de restriction
// ok avec mysql 3.23
$sql = "
SELECT spip_rubriques.* FROM spip_rubriques
LEFT JOIN jpk_groupes_acces
ON spip_rubriques.id_rubrique = jpk_groupes_acces.id_rubrique AND
   spip_rubriques.prive = 1
WHERE jpk_groupes_acces.id_rubrique IS NULL
";
$result=spip_query($sql);
debug($result);
while($row = spip_fetch_array($result)){
  $sql1 = "UPDATE spip_rubriques SET prive=0 WHERE id_rubrique = \"".$row['id_rubrique']."\"";
  $result1=spip_query($sql1);
  debug($result1);
}
}

    
// DEBUT DES FONCTIONS AJOUT - MODIFICATION - SUPPRESSION
(isset($_GET['groupe'])? $groupe = $_GET['groupe'] : $groupe=0);
(isset($_POST['groupe'])? $groupe = $_POST['groupe'] : $groupe=$_GET['groupe']);

// AUTEUR ======================================================================
// AUTEUR Ajout...
if (isset($_POST['add_auteur'])){
$sql = "INSERT INTO jpk_groupes_auteurs(id_groupe,id_auteur,dde_acces) VALUES($groupe,$auteur,'0')";
$result = spip_query($sql);
}

// AUTEUR Modif...
if (isset($_GET['mod_auteur'])){
$sql = "UPDATE jpk_groupes_auteurs SET dde_acces = 0 WHERE id_groupe = $groupe AND id_auteur = $mod_auteur";
$result = spip_query($sql);
}

// AUTEUR Suppression...
if (isset($_GET['del_auteur'])){
$sql = "DELETE FROM jpk_groupes_auteurs WHERE id_groupe=$groupe AND id_auteur=$del_auteur";
$result = spip_query($sql);
}
// GROUPE ======================================================================
// GROUPE Modification
if (isset($_POST['mod_groupe'])){
if ($_POST['actif']==1){
$actif = 1;
}else{
$actif = 0;
}
$sql = "
UPDATE jpk_groupes
   SET nom=\"".$_POST['nom']."\",
       description=\"".$_POST['description']."\",
       actif=\"$actif\"
 WHERE id_groupe=".$_POST['groupe']."
";
$result = spip_query($sql);
debug($result);
}
// GROUPE Ajout
if (isset($_POST['add_groupe'])){
$sql = "
INSERT INTO jpk_groupes(nom,description,actif)
     VALUES(\"".$_POST['nom']."\",\"".$_POST['description']."\",\"$actif\")
";
$result = spip_query($sql);
debug($result);
$groupe = mysql_insert_id();
}
// GROUPE Suppression
if (isset($_POST['del_groupe'])){
$sql = "SELECT count(*) FROM jpk_groupes_auteurs WHERE id_groupe = ".$_POST['groupe']."";
$result = spip_query($sql);
if (mysql_result($result,0) == 0){
  $sql = "SELECT count(*) FROM jpk_groupes_acces WHERE id_groupe = ".$_POST['groupe']."";
  $result = spip_query($sql);
  if (mysql_result($result,0) == 0){
   $sql = "DELETE FROM jpk_groupes
            WHERE id_groupe = id_groupe=".$_POST['groupe']."";
   $result = spip_query($sql);
   debug($result);         
   }else{
   $msg_text = "<h2>"._T('groupe_sup_err_rubrique')."</h2>";
   }
}else{
$msg_text = "<h2>"._T('groupe_sup_err_auteur')."</h2>";
}
}
if (isset($_POST['del_groupe_all'])){
  $sql = "DELETE FROM jpk_groupes_acces
            WHERE id_groupe=".$_POST['groupe']."";
  $result = spip_query($sql);
  debug($result);
  $sql = "DELETE FROM jpk_groupes_auteurs
            WHERE id_groupe=".$_POST['groupe']."";
   $result = spip_query($sql);
   debug($result);         
  $sql = "DELETE FROM jpk_groupes
            WHERE id_groupe=".$_POST['groupe']."";
    $result = spip_query($sql);
   debug($result);         
}
// ACCES  ======================================================================
// ACCES AJOUT
if (isset($_POST['add_rub']) && $_POST['id_parent'] > 0){
$sql_verif = "
SELECT count(*) AS RubAcces
  FROM jpk_groupes_acces
 WHERE id_groupe=\"".$_POST['groupe']."\" AND
       id_rubrique=\"".$_POST['id_parent']."\"
";
$result = spip_query($sql_verif);
if ( mysql_result($result,0) <= 0){
$sql = "INSERT INTO jpk_groupes_acces(id_groupe,id_rubrique,id_article,dtdb,dtfn)
             VALUES(\"".$_POST['groupe']."\",\"".$_POST['id_parent']."\",\"\",now(),now())";
$result = spip_query($sql);

$sql = "UPDATE spip_rubriques SET prive=1
         WHERE id_rubrique=\"".$_POST['id_parent']."\" AND
               prive = 0";
$result=spip_query($sql);
}else{
 $msg_text = "<h2>"._T('groupe_acces_double')."</h2>";
}

}
if (isset($_GET['del_rub'])){
$sql = "DELETE FROM jpk_groupes_acces WHERE id_groupe=$groupe AND id_rubrique=\"".$_GET['del_rub']."\"";
$result = spip_query($sql);
debug($result);
}
rub_reinit();

// DEBUT PAGE ==================================================================
debut_page(_T('groupe_module_titre'));
echo "<STYLE type='text/css'>
<!--
-->
</STYLE>";

// SECURITE 
if ($connect_statut != "0minirezo") {
    echo "<H3><FONT COLOR = red>"._T('avis_non_acces_page')."</FONT></H3>";
    fin_page();
    exit;
}
// =============================================================================
// GAUCHE
// =============================================================================
debut_gauche();
debut_boite_info();
echo "<b>"._T('groupe_module_titre')."</b>"._T('groupe_module_info');
fin_boite_info();
$sql = "SELECT * FROM jpk_groupes";
$result = spip_query($sql);

debut_cadre_relief('annonce.gif');
echo "<form action=\"$PHP_SELF\" name=\"frm_groupe\" method=\"post\">";
echo "<br />"._T('groupe_select').": <select name=\"groupe\" size=\"1\" onchange='submit()';>";
echo "<option value=\"0\">"._T('groupe_select_vide')."</option>";
 while ($row = spip_fetch_array($result)){
 echo "<option value=".$row['id_groupe'].($groupe== $row['id_groupe'] ? ' selected':'').">".typo($row['nom'])."</option>";
 }
echo "</select>";

$sql_grp  = "SELECT * FROM jpk_groupes WHERE id_groupe=\"$groupe\"";
$result_grp = spip_query($sql_grp );
if ($row = spip_fetch_array($result_grp))
   $nom = $row['nom'];
   $desc = $row['description'];
   $actif = $row['actif'];

echo "\n<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=3 WIDTH=100% BACKGROUND=''><TR><TD class='serif2'>";
echo bouton_block_invisible('groupeinfo');
echo "$desc";
echo "</TD></TR></TABLE>\n";

echo debut_block_invisible('groupeinfo');
echo "\n<table width=\"100%\">";
echo "\n<tr><td valign=\"top\">"._T('groupe_nom')."</td>
          <td><input type=\"text\" name=\"nom\" value=\"$nom\" size=\"18\" /></td>
      </tr>";
echo "\n<tr><td valign=\"top\">"._T('groupe_description')."</td>
          <td><textarea name=\"description\" rows=\"4\" cols=\"15\">$desc</textarea></td>
      </tr>";
echo "\n<tr><td valign=\"top\">"._T('groupe_actif')."</td>
          <td><input type=\"checkbox\" name=\"actif\" value=\"1\" ".(($actif==1)? 'checked ':'')."/></td>
      </tr>";
echo "\n<tr>";
echo "<th>
      <input type=\"hidden\" name=\"id_groupe\" value=\"$groupe\" />
      <input type=\"submit\" name=\"add_groupe\" value=\""._T('groupe_creer')."\" CLASS='fondo' STYLE='font-size:10px' />
     </th>";
if ($groupe > 0 ){
echo "<th><input type=\"submit\" name=\"mod_groupe\" value=\""._T('groupe_modifier')."\" CLASS='fondo' STYLE='font-size:10px' />";
}else{
echo "<th>&nbsp;";
}
if ($groupe > 0 && $actif==0){
  if (isset($_POST['del_groupe'])){
    echo "</th></tr><tr><th colspan=\"2\"><input type=\"submit\" name=\"del_groupe_all\" value=\""._T('groupe_supprimer_tout')."\" CLASS='fondo' STYLE='font-size:10px' />";
  }else{
    echo "<input type=\"submit\" name=\"del_groupe\" value=\""._T('groupe_supprimer')."\" CLASS='fondo' STYLE='font-size:10px' />";
  }
}
echo "</th></tr>";
echo "\n</table>";
echo fin_block();
fin_cadre_relief();
echo "</form>";

// =============================================================================
// DROITE
// =============================================================================
debut_droite();
//ok avec mysql 3.23
$sql1 = "
SELECT spip_auteurs.*
  FROM spip_auteurs
LEFT JOIN jpk_groupes_auteurs
ON spip_auteurs.id_auteur =  jpk_groupes_auteurs.id_auteur AND
   jpk_groupes_auteurs.id_groupe = \"$groupe\"
WHERE jpk_groupes_auteurs.id_auteur IS NULL
";
$sql1 .= " AND statut!='5poubelle' AND statut!='nouveau' ORDER BY spip_auteurs.statut, spip_auteurs.nom, spip_auteurs.id_auteur";
$result1 = spip_query($sql1);
if (mysql_errno() > 0) echo mysql_errno().": ".mysql_error();
$sql2 = "
SELECT spip_auteurs.id_auteur, spip_auteurs.nom, spip_auteurs.statut,jpk_groupes_auteurs.dde_acces
  FROM jpk_groupes_auteurs, spip_auteurs
 WHERE jpk_groupes_auteurs.id_auteur = spip_auteurs.id_auteur AND
       jpk_groupes_auteurs.id_groupe = \"$groupe\"";
$result2 = spip_query($sql2);
if (mysql_errno() > 0) echo mysql_errno().": ".mysql_error();

debut_cadre_relief("auteur-24.gif");
echo "$msg_text";
gros_titre(_T('groupe_membres'));
echo "<br />";
debut_cadre_couleur();
if ($groupe <= 0){
   echo _T('groupe_choisir');
}else{
echo "<form action=\"$PHP_SELF\" name=\"frm_auteur\" method=\"post\">";
echo "<input type=\"hidden\" name=\"groupe\" value=\"$groupe\" />";
            echo "<SELECT NAME='auteur' SIZE='1' STYLE='width:150px;' CLASS='fondl'>";
            $group = false;
            $group2 = false;

            while ($row = spip_fetch_array($result1)) {
                $id_auteur = $row["id_auteur"];
                $nom = $row["nom"];
                $email = $row["email"];
                $statut = $row["statut"];

                $statut=str_replace("0minirezo", _T('info_administrateurs'), $statut);
                $statut=str_replace("1comite", _T('info_redacteurs'), $statut);
                $statut=str_replace("6visiteur", _T('info_visiteurs'), $statut);

                $premiere = strtoupper(substr(trim($nom), 0, 1));

                if ($connect_statut != '0minirezo')
                    if ($p = strpos($email, '@'))
                        $email = substr($email, 0, $p).'@...';
                if ($email)
                    $email = " ($email)";

                if ($statut != $statut_old) {
                    echo "\n<OPTION VALUE=\"x\">";
                    echo "\n<OPTION VALUE=\"x\" style='background-color: $couleur_claire;'> $statut";
                }

                if ($premiere != $premiere_old AND ($statut != _T('info_administrateurs') OR !$premiere_old)) {
                    echo "\n<OPTION VALUE=\"x\">";
                }

                $texte_option = supprimer_tags(couper(typo("$nom$email"), 40));
                echo "\n<OPTION VALUE=\"$id_auteur\">&nbsp;&nbsp;&nbsp;&nbsp;$texte_option";
                $statut_old = $statut;
                $premiere_old = $premiere;
            }

            echo "</SELECT>";

echo "<input type=\"submit\" name=\"add_auteur\" value=\""._T('groupe_ajouter')."\"  CLASS='fondo'/>";
echo "</form>";
fin_cadre_couleur();

echo "<table width=\"100%\">";
echo "<tr><th>"._T('titre_page_auteurs')."</th><th colspan=\"3\">&nbsp;</th></tr>";
while ($row = spip_fetch_array($result2)){
 echo "<tr>";
 echo "<td><a href=\"auteurs_edit.php3?id_auteur=".$row['id_auteur']."\">".$row['nom']."</a></td>";
 echo "<td><a href=\"$PHP_SELF?del_auteur=".$row['id_auteur']."&groupe=$groupe\">"._T('lien_retirer_auteur')."&nbsp;". http_img_pack('croix-rouge.gif', "X", "width='7' height='7' border='0' align='middle'") ."</a>"
       .(($row['dde_acces']==1)? "&nbsp;|&nbsp;<a href=\"$PHP_SELF?mod_auteur=".$row['id_auteur']."&groupe=$groupe\">"._T('groupe_accepter')."</a>": "")."</td>";
 echo "<td><a href=\"mailto:$email\"></a></td>";
 echo "<td><a href=\"\"></a></td>";
 echo "<td></td>";
 echo "</tr>";
}
echo "</table>";
fin_cadre_relief();


// DEB RECUP DE rubriques_edit.php3
debut_cadre_relief("rubrique-24.gif");
gros_titre(_T('groupe_rubriques_autorisees'));
echo "<br />";
echo _T('groupe_rubriques_autorisees_info');
echo "<form action=\"$PHP_SELF\" name=\"frm_rubrique\" method=\"post\">\n";
echo "<SELECT NAME='id_parent' style='background-color:#ffffff; font-size:90%; font-face:verdana,arial,helvetica,sans-serif; max-height: 24px;' class='forml' SIZE='1'>\n";
if ($connect_toutes_rubriques) {
  echo "<OPTION".mySel("0",$id_parent). http_style_background('racine-site-12.gif',  "$spip_lang_left no-repeat; background-color:$couleur_foncee; padding-$spip_lang_left: 16px; font-weight:bold; color:white") .'>'._T('info_racine_site')."\n";
} else {
    echo "<OPTION".mySel("0",$id_parent).">"._T('info_non_deplacer')."\n";
}

if (lire_meta('multi_rubriques') == 'oui') echo " [".traduire_nom_langue(lire_meta('langue_site'))."]";

// si le parent ne fait pas partie des rubriques restreintes, modif impossible
if (acces_rubrique($id_parent)) {
    enfant(0);
}
echo "</SELECT>\n";
// FIN RECUP DE rubriques_edit.php3
echo "<input type=\"submit\" name=\"add_rub\" value=\""._T('groupe_autoriser')."\"  CLASS='fondo'/>\n";
echo "<input type=\"hidden\" name=\"groupe\" value=\"$groupe\" />\n";
echo "</form>\n";
echo _T('groupe_autoriser_info');
$sql_rub = "
SELECT spip_rubriques.*
  FROM jpk_groupes_acces, spip_rubriques
  WHERE spip_rubriques.id_rubrique = jpk_groupes_acces.id_rubrique AND
        jpk_groupes_acces.id_groupe = \"$groupe\" 
";
$result_rub = spip_query($sql_rub);
debug($result_rub);
echo "<table width=\"100%\">";
echo "<tr><th>"._T('info_rubriques')."</th><th>&nbsp;</th></tr>";
while ($row=spip_fetch_array($result_rub)){
echo "<tr><td><a href=\"naviguer.php3?id_rubrique=".$row['id_rubrique']."\">".typo($row['titre'])."</a></td><td><a href=".$PHP_SELF."?del_rub=".$row['id_rubrique']."&groupe=$groupe>"._T('supprimer')."&nbsp;". http_img_pack('croix-rouge.gif', "X", "width='7' height='7' border='0' align='middle'") ."</a></td></tr>";
}
echo "</table>";
}
fin_cadre_relief();

// liste des groupes ayant accs  la rubrique courante...
$sql_rub_grp = "
SELECT jpk_groupes.*
  FROM jpk_groupes_acces, jpk_groupes
  WHERE jpk_groupes_acces.id_groupe = jpk_groupes.id_groupe AND
        jpk_groupes_acces.id_rubrique = \"$id_parent\" AND 
        jpk_groupes_acces.id_groupe <> $groupe 
";
$result_rub_grp = spip_query($sql_rub_grp);
if ($id_parent > 0 && spip_num_rows($result_rub_grp) > 0 ){
debut_cadre_relief("mot-cle-24.gif");
echo gros_titre(_T('groupe_acces_rubrique_par'));
echo "<ul>";
while ($row=spip_fetch_array($result_rub_grp)){
echo "<li>".typo($row['nom'])."</li>";
}
echo "</ul>";
fin_cadre_relief();
}
fin_page();
?>


